Bug 683638 - Review Request: pyes- Python library for connecting to and managing Elasticsearch
Review Request: pyes- Python library for connecting to and managing Elasticse...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Stalled Submitter
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-09 17:05 EST by Tavis Aitken
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 03:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tavis Aitken 2011-03-09 17:05:27 EST
Spec URL: https://github.com/tavisto/rpm-specs/blob/master/pyes.spec
SRPM URL: rpms.tavisto.net/fedora-rpms/pyes-0.14.1-1.fc14.src.rpm
Description: pyes is a connector to use elasticsearch from python.

This is my first package that I am trying to get into fedora and will need a sponsor. I appreciate any feedback anyone is willing to give me.
Comment 1 Tavis Aitken 2011-03-09 17:06:47 EST
SRPM URL: should be http://rpms.tavisto.net/fedora-rpms/pyes-0.14.1-1.fc14.src.rpm
Comment 2 Fabian Affolter 2011-03-28 05:47:58 EDT
Just some quick comments...

- Why not place all doc files on one line?
- The website says "This version requires elasticsearch 0.12 or above.". elasticsearch is not available in the Fedora Package Collection. This will make it hard for reviewer to test the package.
Comment 3 Tavis Aitken 2011-03-28 11:04:34 EDT
Fabian, 
   Thanks for the review. 
> - Why not place all doc files on one line?
- The docs are all separate  so they can be easily reviewed or removed if the source changes. I can change it if that is the recommended way to do things. 

e website says "This version requires elasticsearch 0.12 or above.".
> elasticsearch is not available in the Fedora Package Collection. This will make
> it hard for reviewer to test the package.

- This is a client library for Elasticsearch, which is not packaged in Fedora as of yet because it requires some newer  versions of Lucene ( 3.0.0 tree ) and other java projects that are not packaged. I have built a package that can be used but do not meet the Fedora packaging requirements as of now. I have plans to try and make it Fedora compatible but have not managed it as of yet. 

https://github.com/tavisto/elasticsearch-rpms/blob/master/SPECS/elasticsearch.spec
Comment 4 Tavis Aitken 2011-03-28 11:05:05 EDT
Fabian, 
   Thanks for the review. 
> - Why not place all doc files on one line?
- The docs are all separate  so they can be easily reviewed or removed if the source changes. I can change it if that is the recommended way to do things. 

e website says "This version requires elasticsearch 0.12 or above.".
> elasticsearch is not available in the Fedora Package Collection. This will make
> it hard for reviewer to test the package.

- This is a client library for Elasticsearch, which is not packaged in Fedora as of yet because it requires some newer  versions of Lucene ( 3.0.0 tree ) and other java projects that are not packaged. I have built a package that can be used but do not meet the Fedora packaging requirements as of now. I have plans to try and make it Fedora compatible but have not managed it as of yet. 

https://github.com/tavisto/elasticsearch-rpms/blob/master/SPECS/elasticsearch.spec
Comment 5 Matthias Runge 2012-03-02 15:39:26 EST
Tavis,

are you still interested?

If yes, you should refer to https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group 
especial the section
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you

You should do some informal reviews to convince a sponsor of your packaging qualities. You should note the bugzilla bug numbers here (as a reference for your sponsor)

Thanks
Comment 6 Matthias Runge 2012-03-24 14:36:01 EDT
Any progress here?
Comment 7 Matthias Runge 2012-05-08 03:22:46 EDT
closing this. Tavis, if you're still interested, please open a new review request.

Note You need to log in before you can comment on or make changes to this bug.